Loading...
Searching...
No Matches
fourdst::composition::exceptions::CompositionEntryError Class Reference

Base class for exceptions related to individual entries within a composition. More...

`#include <exceptions_composition.h>`

Inheritance diagram for fourdst::composition::exceptions::CompositionEntryError:

## Public Member Functions

| CompositionEntryError (const std::string &message)
| Constructs a CompositionEntryError with an error message.
const char * | what () const noexcept override
| Returns the error message.

## Protected Attributes

std::string | m_message
| The error message.

## Detailed Description

Base class for exceptions related to individual entries within a composition.

This exception is thrown for errors specific to a single component or entry in a composition, such as an invalid species symbol or duplicate initialization.

Definition at line 44 of file exceptions_composition.h.

## Constructor & Destructor Documentation

## CompositionEntryError()

fourdst::composition::exceptions::CompositionEntryError::CompositionEntryError | ( | const std::string & | message | ) |

inlineexplicit

Constructs a CompositionEntryError with an error message.

Parameters

  message | The error message.

Definition at line 55 of file exceptions_composition.h.

## Member Function Documentation

## what()

const char * fourdst::composition::exceptions::CompositionEntryError::what | ( |  | ) | const

inlineoverridenoexcept

Returns the error message.

Returns
  A C-style string containing the error message.

Definition at line 62 of file exceptions_composition.h.

## Member Data Documentation

## m_message

std::string fourdst::composition::exceptions::CompositionEntryError::m_message

protected

The error message.

Definition at line 49 of file exceptions_composition.h.

The documentation for this class was generated from the following file:

- src/composition/include/fourdst/composition/exceptions/exceptions_composition.h